<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
//

include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/sadmin.inc.php");
include("../include/purges.inc.php");
include("../include/suppr.inc.php");

$PHP_SELF=basename($_SERVER['PHP_SELF']);
$style="arial_sadmin";
opensession("Sadmin",false);
include("../include/utiljs.php");
if ($sess_login=='admstats') {
	aneantir_session();
	goto("./index.php");
	}

// $action contiendra le traitement envisagé parmi creer, modif, suppr
// Dans le cas de modif, $etab_id est renseigné  par l'appel
$action="suppr";

if (!isset($supetab)) {  //premier passage : on affiche le formulaire

$etab_id=$_GET['etab_id'];; //passage de etab_id par l'URL
session_puts("etab_id");
getparams_etab($etab_id);


//Paramètres de l'établissement : on connaît etab_id
$conn  = connecte($host,$user,$mdp,$db);
$sql="SELECT rne,nom,adresse, codepostal,ville ".
      " FROM etablissements ".
      " WHERE etab_id=$etab_id" ;
$resetab=query ($sql);
$rowetab=mysql_fetch_array($resetab);

$rne_etab=$rowetab["rne"];
$nom_etab=$rowetab["nom"];
$adresse_etab=$rowetab["adresse"];
$codepost_etab=$rowetab["codepostal"];
$ville_etab=$rowetab["ville"];

?>
<?php
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html><head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Suppression d'un étab</title>
<link rel="stylesheet" href="../include/general.css">
</head>
<body class="arial_sadmin">
<p class='titre'>Suppression d'un établissement</p><hr width=\"30%\">
<p>&nbsp;</p>


<form name="formsup" method="post" action=<?php echo $PHP_SELF; ?> >
<input type="hidden" name="supetab" value=1>
<input type="hidden" name="etab_id" value=<?php echo $etab_id; ?>>
<input type="hidden" name="rne" value=<?php echo $rne; ?>>
<table border="1" cellspacing="0"  align="center" width="80%">

<tr class="sadmin_impaire">
     <td >Vous avez demandé la suppression de l'établissement<br />
     </td>
</tr><tr class="sadmin_paire">
     <td align="center"><font size="+1">
     <?php echo "<p><b>$rne_etab | $nom_etab | $adresse_etab | $codepost_etab | $ville_etab</b></p>"; ?>
     </font>
     </td>
</tr>
<tr class="sadmin_impaire">
     <td><font color="red">La suppression d'un établissement est une action dangereuse, car irréversible.<br />
     Elle ne doit jamais être faite pendant le fonctionnement normal de l'application, surtout
     si des données ont été saisies par les participants.</font>
     </td>
</tr>
<tr class="sadmin_impaire">
     <td> Pour limiter les risques d'erreurs, un mot-clé <b>(respecter la casse)</b> est à saisir ci-dessous, vous le trouverez dans la documentation qui accompagne le logiciel.
     </td>
</tr>
<tr class="sadmin_impaire">
     <td><p align="center">Mot-clé :
            <input type="text" name="motcle" maxlength="10" size="10"></p>
     </td>
</tr>
<tr class="sadmin_impaire">
     <td><p align="center">
            <input type="submit" name="btn_sup" value="Suppression immédiate !"> &nbsp;&nbsp;
            <input type="submit" name="btn_retour" value="Retour sans suppression">
            </p>
     </td>
</tr>
</body>
</html>


<?php   } else {


    //réponse HTML à partir de là
    print "<html><head>\n";
    print "<title>Suppression d'un établissement</title>\n";
    print "<link rel=\"stylesheet\" href=\"../include/general.css\">\n";
    print "</head>";
    print "<body class=\"arial_sadmin\">\n";
    print "<p class='titre'>Suppression d'un établissement</p><hr width=\"30%\">";
    print "Patience, attendez la fin du script !<br />\n";
	set_time_limit(0);
	superflush();
    //traitement du formulaire
    //========================
    connexion("$db");
    if (isset($btn_sup)&&($motcle==$mdp_suppression)) {
        //On casse tout ce qui a trait à l'étab à partir de $etab_id
        //Pour l'instant, juste ce qui a été fabriqué
        $sqletab="DELETE FROM etablissements ".
                 "WHERE etab_id=$etab_id;";
        query($sqletab);

        //Eleves
        //On va d'abord virer les demandes et les résultats
        $sqlel="SELECT eleve_id FROM eleves
                       WHERE etab_id=$etab_id;";
        $resel=query($sqlel);
		$compteur=0;
		
        while ($rowel=mysql_fetch_array($resel)) {
          $el_id=$rowel["eleve_id"];
          
          query("DELETE FROM demandes WHERE eleve_id=$el_id");
          suppr_resultats($el_id);
          query("DELETE FROM brevets WHERE eleve_id=$el_id");
          query("DELETE FROM lien_eleves_disciplines WHERE eleve_id=$el_id");
          query("DELETE FROM lien_eleves_classes WHERE eleve_id=$el_id");
		  $compteur++;
		  if ($compteur%100==0) {
		  		print "$compteur<br />\n";
				//$compteur=0;
				}	  			
		  print ".";
		  flush();
        }

		print "<br /><br />Encore quelques secondes... <br />";
		flush();
		
        $sqlelev="DELETE FROM eleves WHERE etab_id=$etab_id;";
        query($sqlelev);

        //Profs
        //On va d'abord virer les réponses et les lien_profs_rubriques
        $sqlpr="SELECT prof_id FROM profs WHERE etab_id=$etab_id;";
        $respr=query($sqlpr);
        while ($rowpr=mysql_fetch_array($respr)) {
          $pr_id=$rowpr["prof_id"];
          $sqllpr="DELETE FROM lpi WHERE prof_id=$pr_id;";
          query($sqllpr);
          $sqlrep="DELETE FROM reponses WHERE prof_id=$pr_id;";
          query($sqlrep);
          }

        $sqlprof="DELETE FROM profs WHERE etab_id=$etab_id;";
        query($sqlprof);


        //Classes
        //On va d'abord virer les lien_profs_classes
        $sqlpc="SELECT classe_id FROM classes WHERE etab_id=$etab_id;";
        $respc=query($sqlpc);
        while ($rowpc=mysql_fetch_array($respc)) {
          $cl_id=$rowpc["classe_id"];
          $sqllienpc="DELETE FROM lien_profs_classes WHERE classe_id=$cl_id;";
          query($sqllienpc);
          }

        $sqlclasse="DELETE FROM classes WHERE etab_id=$etab_id;";
        query($sqlclasse);

        //comptes
        $sqlcompt="DELETE FROM comptes WHERE etab_id=$etab_id;";
        query($sqlcompt);
        //Reste à virer tout le reste lié à cet étab......
        //Le facile d'abord :-))
        $sqllib="DELETE FROM libelles_perso WHERE etab_id=$etab_id;";
        query($sqllib);


        //On vire aussi le contenu du dossier d'étab puis le dossier lui-même
       if ($rne!="") {
       	 //alert("Effacement de $DATA/$rne");
         if (!deltree("$DATA/$rne",true))
                 alert("Effacement du dossier visible $DATA/$rne impossible !\nFaites-le à la main.");
         if ($DATA!=$HIDEDATA && !deltree("$HIDEDATA/$rne",true))
                 alert("Effacement du dossier caché $HIDEDATA/$rne impossible !\nFaites-le à la main.");
         }


        print "<p align = \"center\">La suppression est faite</p>";
        //Optimisation automatique des tables en mode caché (0) ou visible
        $mode=1;
        if ($mode==1)   print "<p align =\"center\">Optimisation de la base de données :</p>";
        optimize($mode);



        print "<form name=\"form1\" method=\"post\" action=\"listetab.php\">";
        print "<p align=\"center\">";
        print "<input type=\"submit\" name=\"envoi\" value=\"Suite\">";
        print "</p></form>";
    }
    else {
        if (isset($btn_sup)) {
            alert("Le mot-clé est incorrect,\n l'établissement ne sera pas supprimé");
            unset($supetab);
            goto("listetab.php");
            }
        else
            goto("sadmin_bas.php");


        }
    //Fin de page
    print "</body></html>";

} //else traitement du formulaire
?>
